Remove v3 and plugins from nova code tree

Bug #1462901 reported by Alex Xu on 2015-06-08
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
John Garbutt

Bug Description

As we already released the V2.1 API, but all the V2.1 API code still under a old directory (nova/api/openstack/compute/plugins/v3) with 'v3' word. The 'v3' isn't existed anymore, we plan to remove it in the Liberty.

Tags: api Edit Tag help
Alex Xu (xuhj) on 2015-06-08
tags: added: api low-hanging-fruit
Changed in nova:
importance: Undecided → Medium
status: New → Confirmed
Alex Xu (xuhj) wrote :

There is spec for this https://review.openstack.org/#/c/189218/

If anyone interesting in this, please free feel to take the spec over.

Shuquan Huang (shuquan) on 2015-06-15
Changed in nova:
assignee: nobody → Shuquan Huang (spring1201)
John Garbutt (johngarbutt) wrote :
tags: removed: low-hanging-fruit
Alex Xu (xuhj) wrote :

Hi, Shuquan, the spec already merged, Ed leaf and me are already to be volunteer work on this. if you are interesting, please feel free to contact me.

Shuquan Huang (shuquan) on 2015-06-17
Changed in nova:
assignee: Shuquan Huang (spring1201) → nobody
Alex Xu (xuhj) wrote :

Talk with Shuquan, he give up this. So I take this back, avoid other people take this again.

Changed in nova:
assignee: nobody → Alex Xu (xuhj)
Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)
status: Confirmed → In Progress
Changed in nova:
assignee: Ed Leafe (ed-leafe) → Michael Sambol (sambol)
Changed in nova:
assignee: Michael Sambol (sambol) → Zachary Sais (zsais)
Changed in nova:
assignee: Zachary Sais (zsais) → Ed Leafe (ed-leafe)
Changed in nova:
assignee: Ed Leafe (ed-leafe) → Zachary Sais (zsais)

Reviewed: https://review.openstack.org/202724
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=ce7f986c33fd614f5355affd69e430f3e6dd5dc1
Submitter: Jenkins
Branch: master

commit ce7f986c33fd614f5355affd69e430f3e6dd5dc1
Author: Matt Riedemann <email address hidden>
Date: Thu Jul 16 10:30:05 2015 -0700

    Deprecate the osapi_v3.enabled option

    This is part of the larger effort in Liberty to remove references to the
    v3 API.

    This enables the v2.1 API by default and deprecates the 'enabled' option
    for removal in the N release.

    Alternatively we could just ignore the option altogether but changing it
    to True by default essentially does that for us.

    Related-Bug: #1462901

    Change-Id: I43f0352f9fa89401f79389a6dc1035d901f52ed2

Changed in nova:
assignee: Zachary Sais (zsais) → Ed Leafe (ed-leafe)
Changed in nova:
assignee: Ed Leafe (ed-leafe) → Zachary Sais (zsais)
Changed in nova:
assignee: Zachary Sais (zsais) → Ed Leafe (ed-leafe)
Changed in nova:
importance: Medium → High
Changed in nova:
assignee: Ed Leafe (ed-leafe) → Zachary Sais (zsais)

Fix proposed to branch: master
Review: https://review.openstack.org/210131

Changed in nova:
assignee: Zachary Sais (zsais) → Ed Leafe (ed-leafe)
Changed in nova:
assignee: Ed Leafe (ed-leafe) → Zachary Sais (zsais)
Changed in nova:
assignee: Zachary Sais (zsais) → Ed Leafe (ed-leafe)
Changed in nova:
assignee: Ed Leafe (ed-leafe) → Alex Xu (xuhj)

Fix proposed to branch: master
Review: https://review.openstack.org/211356

Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)

Fix proposed to branch: master
Review: https://review.openstack.org/211390

Changed in nova:
assignee: Ed Leafe (ed-leafe) → Alex Xu (xuhj)

Change abandoned by Ed Leafe (<email address hidden>) on branch: master
Review: https://review.openstack.org/210131
Reason: Abandoned in favor of the series beginning with https://review.openstack.org/#/c/211356/

Change abandoned by Ed Leafe (<email address hidden>) on branch: master
Review: https://review.openstack.org/193725
Reason: Abandoned in favor of the series beginning with https://review.openstack.org/#/c/211356/

Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)
Changed in nova:
assignee: Ed Leafe (ed-leafe) → Alex Xu (xuhj)
Changed in nova:
assignee: Alex Xu (xuhj) → Sean Dague (sdague)
Changed in nova:
assignee: Sean Dague (sdague) → Alex Xu (xuhj)
Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)

Reviewed: https://review.openstack.org/211356
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=a7ca5069fc9c1682756747f454eb5a2bd13826d0
Submitter: Jenkins
Branch: master

commit a7ca5069fc9c1682756747f454eb5a2bd13826d0
Author: EdLeafe <email address hidden>
Date: Mon Aug 10 18:16:49 2015 +0000

    Move existing V2 to legacy_v2

    The first step in the code cleanup for removing the API V3 references
    is to move the existing default V2 code into a directory named
    'legacy_v2'. This moves the files, and updates all references to
    them. This is the first in a patch series of discreet changes to the
    codebase structure.

    Partial-Bug: #1462901

    Change-Id: Ic19f2d019c2c78f1de14a0eced85e84f2d2cec28

Reviewed: https://review.openstack.org/211390
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=81dd5b78c85153d5d255961b728f767f1f5af2fd
Submitter: Jenkins
Branch: master

commit 81dd5b78c85153d5d255961b728f767f1f5af2fd
Author: EdLeafe <email address hidden>
Date: Mon Aug 10 23:45:50 2015 +0000

    Move existing V2 to legacy_v2 - step 2

    The second step in the code cleanup for removing the API V3
    references is to move the existing 'contrib' directory under
    'legacy_v2'. All references to the 'contrib' directory have been
    updated to reflect the new path.

    Also ensure the old path works for option 'osapi_compute_ext_list'.
    When 'nova.api.openstack.extensions.ExtensionManager' load old path,
    it will use new path instead of it.

    Partial-Bug: #1462901
    Co-Authored-By: Alex Xu <email address hidden>
    Change-Id: I9cf405ec8230094f0f921010d4e18c710d9cbdbb

Changed in nova:
assignee: Ed Leafe (ed-leafe) → Alex Xu (xuhj)

Reviewed: https://review.openstack.org/211777
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=003c868da73d84d33fba81ee9b033b8ae321e7ab
Submitter: Jenkins
Branch: master

commit 003c868da73d84d33fba81ee9b033b8ae321e7ab
Author: EdLeafe <email address hidden>
Date: Tue Aug 11 17:12:43 2015 +0000

    Move v2.1 code to the main compute directory - remove v3 step3

    Move all the plugins/v3 code to the main compute directory.

    Partial-Bug: #1462901
    Change-Id: I7df413b76ff0a6610ccd3cb90137ec99b372d5ab

Reviewed: https://review.openstack.org/211846
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=3e032fd45be28c6098235ce336e675d03ebc6619
Submitter: Jenkins
Branch: master

commit 3e032fd45be28c6098235ce336e675d03ebc6619
Author: He Jie Xu <email address hidden>
Date: Wed Aug 12 13:03:35 2015 +0800

    Remove 'v3' directory for v2.1 json-schemas

    This is step 4 of the remove v3 process. It moves the v2.1
    json-schemas out of v3 directory, and also corrects all the
    references.

    Change-Id: Ibf88c38df951ed755b7431846cca7496f861c1dd
    Partial-Bug: #1462901

Fix proposed to branch: master
Review: https://review.openstack.org/212393

Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)

Reviewed: https://review.openstack.org/212392
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=f65ffa28ff44c69d3c77fca2f6775945fb0aecdf
Submitter: Jenkins
Branch: master

commit f65ffa28ff44c69d3c77fca2f6775945fb0aecdf
Author: He Jie Xu <email address hidden>
Date: Thu Aug 13 15:10:14 2015 +0800

    Add V2.1 API tests parity with V2 API tests

    There are some basic wsgi stack tests in test_api.py. But it is only
    for V2 API. This patch adds V2.1 API tests on it.

    Partial-Bug: #1462901
    Change-Id: Ib0d9c15ca37a12c661a8abc8b8e59deab91f0d80

Fix proposed to branch: master
Review: https://review.openstack.org/212793

Reviewed: https://review.openstack.org/212393
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=74490439f8c4041499af2dbc248382fbe93f7b72
Submitter: Jenkins
Branch: master

commit 74490439f8c4041499af2dbc248382fbe93f7b72
Author: He Jie Xu <email address hidden>
Date: Thu Aug 13 15:46:24 2015 +0800

    Move V2 API unittests under legacy_v2 directory

    This patch moves the v2-specific tests in
    nova/tests/unit/api/openstack/compute into new 'legacy_v2' directory

    Partial-Bug: #1462901
    Change-Id: I2de134c91309ddbe1e16a8ab07e06678d92ab32b

Fix proposed to branch: master
Review: https://review.openstack.org/213029

Changed in nova:
assignee: Ed Leafe (ed-leafe) → Alex Xu (xuhj)
Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)
Changed in nova:
assignee: Ed Leafe (ed-leafe) → Michael Still (mikalstill)
Changed in nova:
assignee: Michael Still (mikalstill) → Alex Xu (xuhj)

Reviewed: https://review.openstack.org/213029
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=3024e16881e04d160741c2578b2a651d54431689
Submitter: Jenkins
Branch: master

commit 3024e16881e04d160741c2578b2a651d54431689
Author: He Jie Xu <email address hidden>
Date: Fri Aug 14 15:31:20 2015 +0800

    Move legacy v2 api smaple tests

    This patch moves legacy v2 api sample tests under
    'nova/tests/functional/api_sample_tests/legacy_v2'

    Also create new API sample test base class for matching new
    path in 'nova/tests/functional/api_sample_tests/legacy_v2/ -
    api_samples_test_base.py'

    Change-Id: Ib455d4fc9d1f9a2a7e9a744f7e63086b3cf49c5e
    Partial-Bug: #1462901

Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)

Reviewed: https://review.openstack.org/212120
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=74328ce7191f01199961bfb21c9da204e0dd5daf
Submitter: Jenkins
Branch: master

commit 74328ce7191f01199961bfb21c9da204e0dd5daf
Author: He Jie Xu <email address hidden>
Date: Thu Aug 13 15:50:29 2015 +0800

    Move V2.1 API unittest to top level directory

    This patch moves the tests in contrib/ and plugins/v3/ into the
    base directory.

    Note that some of the tests have both v2 and v21 tests, The v2
    tests will be deleted when V2 API removed.

    Co-Authored-By: Ed Leafe <email address hidden>
    Change-Id: I6ff1d6594e7a44f2bcb6bbb04a4277b98d1cac74
    Partial-Bug: #1462901

Changed in nova:
assignee: Ed Leafe (ed-leafe) → Alex Xu (xuhj)

Reviewed: https://review.openstack.org/212238
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=9f9802eebd56b7fa56de9c7e64f3424fc6334ea0
Submitter: Jenkins
Branch: master

commit 9f9802eebd56b7fa56de9c7e64f3424fc6334ea0
Author: He Jie Xu <email address hidden>
Date: Fri Aug 14 16:11:13 2015 +0800

    Move the v2 api_sample functional tests

    This patch move the all v2.1 api sample tests under
    'functional/api_sample_tests'. Also move sample files under
    'doc/api-samples'.

    Co-Authored-By: Ed Leafe <email address hidden>
    Co-Authored-By: Alex Xu <email address hidden>
    Partial-Bug: #1462901
    Change-Id: I2b924f2ad7687a23a018a9b658e8acd9e04d7963

Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)

Reviewed: https://review.openstack.org/212734
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=55e04230adc538366d2808a25816507f129ac4c9
Submitter: Jenkins
Branch: master

commit 55e04230adc538366d2808a25816507f129ac4c9
Author: EdLeafe <email address hidden>
Date: Thu Aug 13 19:43:26 2015 +0000

    Rename classes containing 'v3' to 'v21'

    This part of the ongoing v3 cleanup effort.

    Partial-Bug: #1462901
    Change-Id: I5d9b43503629cc3f5a566f7bfa23cc5d0d14d985

Reviewed: https://review.openstack.org/212793
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=a389c6fb5051cf036df74b770728d88a58e6ea73
Submitter: Jenkins
Branch: master

commit a389c6fb5051cf036df74b770728d88a58e6ea73
Author: EdLeafe <email address hidden>
Date: Thu Aug 13 21:02:55 2015 +0000

    Remove last of the plugins/v3 from unit tests

    This is part of the v3 cleanup effort. The last remaining files in the
    n/t/u/a/o/c/plugins/v3 directory have been moved to the base directory,
    and all references to them have been updated to reflect the new paths.

    Partial-Bug: #1462901
    Change-Id: I38d97803b1a9caea98a1b043b2bc2ad774add3b3

Reviewed: https://review.openstack.org/212851
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=85cf46231302ae1ad6c5034ce321e95ad5aaeaaa
Submitter: Jenkins
Branch: master

commit 85cf46231302ae1ad6c5034ce321e95ad5aaeaaa
Author: EdLeafe <email address hidden>
Date: Thu Aug 13 23:32:49 2015 +0000

    Remove v3 references in unit test 'contrib'

    This is part of the v3 cleanup effort. References to 'v3' in the code
    have been removed; URLs that formerly used '/v3' have been updated to
    use '/v2'. Since some of the changes broke some other tests, those
    have been updated, too.

    Partial-Bug: #1462901
    Change-Id: Iba5ef9b0e046e704f7618cb5b748fa28877aeeeb

Fix proposed to branch: master
Review: https://review.openstack.org/219188

Changed in nova:
assignee: Ed Leafe (ed-leafe) → Alex Xu (xuhj)

Reviewed: https://review.openstack.org/219188
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=e7fd1fb3585224261a3ebe1256bdcacc5d534b67
Submitter: Jenkins
Branch: master

commit e7fd1fb3585224261a3ebe1256bdcacc5d534b67
Author: He Jie Xu <email address hidden>
Date: Tue Sep 1 16:53:22 2015 +0800

    Remove the v3 word from help message of api_rate_limit option

    This patch removes the v3 word from api_rate_limit option help message.
    And use v2.1 instead of it.

    Change-Id: I927fcd773d1b89ea8378aa4dfcb0febb112c2128
    Partial-Bug: #1462901

Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)

Reviewed: https://review.openstack.org/214311
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=7d3f90cd9ea51f646f26ce6187364b53d9867d84
Submitter: Jenkins
Branch: master

commit 7d3f90cd9ea51f646f26ce6187364b53d9867d84
Author: EdLeafe <email address hidden>
Date: Tue Aug 18 19:03:42 2015 +0000

    Remove 'v3' from extension code

    This is part of the v3 cleanup effort. The 'API_V3_CORE_EXTENSIONS'
    attribute has been re-named to 'API_V21_CORE_EXTENSIONS'.

    Partial-Bug: #1462901
    Change-Id: I2867b7788b06a56c594153dd9e0361788112793f

Fix proposed to branch: master
Review: https://review.openstack.org/223070

Changed in nova:
assignee: Ed Leafe (ed-leafe) → Alex Xu (xuhj)

Fix proposed to branch: master
Review: https://review.openstack.org/223071

Changed in nova:
assignee: Alex Xu (xuhj) → Ed Leafe (ed-leafe)
Changed in nova:
assignee: Ed Leafe (ed-leafe) → Alex Xu (xuhj)

Fix proposed to branch: master
Review: https://review.openstack.org/223423

Fix proposed to branch: master
Review: https://review.openstack.org/223424

Fix proposed to branch: master
Review: https://review.openstack.org/223425

Reviewed: https://review.openstack.org/223070
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=9807af60159b5032ca31a20d92c398d7928b5b40
Submitter: Jenkins
Branch: master

commit 9807af60159b5032ca31a20d92c398d7928b5b40
Author: He Jie Xu <email address hidden>
Date: Mon Sep 14 19:48:52 2015 +0800

    Remove 'v3' from comments in Nova API code

    This patch cleans up 'v3' in the comments, by replacing 'v3' with 'v2.1'.

    Co-Authored-By: Ed Leafe <email address hidden>
    Partial-Bug: #1462901
    Change-Id: Ia665115e4c8c94b8d7557060201469ea10673558

Reviewed: https://review.openstack.org/223071
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=347ebb20e3217c2f8abf261622ba420c9fd077bd
Submitter: Jenkins
Branch: master

commit 347ebb20e3217c2f8abf261622ba420c9fd077bd
Author: He Jie Xu <email address hidden>
Date: Mon Sep 14 19:59:38 2015 +0800

    Rename all the ViewBuilderV3 to ViewBuilderV21

    To get rid of v3, this patch rename all the ViewBuilderV3 to
    ViewBuilderV21.

    Change-Id: I84a5cb303b4da4ede6d792f80acd9313756b9f9b
    Partial-Bug: #1462901

Reviewed: https://review.openstack.org/223423
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=597b9e25225eca3cbd4c15140a6ef76df610932e
Submitter: Jenkins
Branch: master

commit 597b9e25225eca3cbd4c15140a6ef76df610932e
Author: He Jie Xu <email address hidden>
Date: Tue Sep 15 13:41:16 2015 +0800

    Remove TestOpenStackClientV3 from nova functional tests

    This patch removes TestOpenStackClientV3 from all the functional tests.
    And remove the v3 from the class name.

    Change-Id: Ic0f50e5a08d476b6352c6af166ad5873981dbaea
    Partial-Bug: #1462901

Changed in nova:
assignee: Alex Xu (xuhj) → John Garbutt (johngarbutt)

Reviewed: https://review.openstack.org/223424
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=fe8b32593dd53c8d94a3fd48d57ec52a7426db39
Submitter: Jenkins
Branch: master

commit fe8b32593dd53c8d94a3fd48d57ec52a7426db39
Author: He Jie Xu <email address hidden>
Date: Tue Sep 15 14:07:22 2015 +0800

    User APIRouterV21 instead of APIRouterV3 for v2.1 unittests

    This patch uses APIRouterV21 for v2.1 unittests, as the v3 API already
    deprecated.

    Change-Id: I1132613072159d90e1e6dc28034dd3c44f37fcbd
    Partial-Bug: #1462901

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/223425
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=3d03e2ab9e46f5ee14aae5c06c976b9f41dd9358
Submitter: Jenkins
Branch: master

commit 3d03e2ab9e46f5ee14aae5c06c976b9f41dd9358
Author: He Jie Xu <email address hidden>
Date: Tue Sep 15 14:09:21 2015 +0800

    Test both NoAuthMiddleware and NoAuthMiddlewareV3

    While we need to keep both of these until mitaka, we only tested the
    v3 class. Lets test both, and make it easy to remove the v3 test once
    we can drop that class.

    Change-Id: I149605d66949e657fd6fddaf579c3b58ccf9b096
    Closes-Bug: #1462901

Thierry Carrez (ttx) on 2015-09-24
Changed in nova:
milestone: none → liberty-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-10-15
Changed in nova:
milestone: liberty-rc1 → 12.0.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers